Discussion:
Canon Pixma MG3650 not supported
(too old to reply)
Jonatan Hatakeyama Zeidler
2017-05-15 17:44:46 UTC
Permalink
Raw Message
Hi there,

on your list of supported devices there is the Canon PIXMA MG3600
Series. Does that mean the Pixma MG3650 should be supported as well?
Because it is not. The Pixma MG3650 is a 2in1 device (printer and scanner).

Last year there was a scangear driver by Canon exactly for the PIXMA
MG3650. It seems they removed it from there website. But you still find
a driver for MG3670 that works well with the MG3650. It is possible to
download its source code (I can't attach it here).

I have attached the ouput of sane-find-scanner which has found the
Scanner. But scanimage -L tells me that no device was found. I can't
show the ouput of /cat /proc/bus/usb/devices/ because /proc/bus/usb does
not exist.

Is there any more information or test I should provide? I am willing to
adapt or write a driver for the MG3650 if possible (I know a little bit
of C).

Thanks and regards,
jonius
Louis Lagendijk
2017-05-16 08:05:30 UTC
Permalink
Raw Message
Post by Jonatan Hatakeyama Zeidler
Hi there,
on your list of supported devices there is the Canon PIXMA MG3600
Series. Does that mean the Pixma MG3650 should be supported as well?
Because it is not. The Pixma MG3650 is a 2in1 device (printer and scanner).
What is the verson number of Sane that you are using? The MG3600 was
added in October last year, so only a recent version based on a pre-
release will work with your scanner. Maybe Rolf's PPA https://launchpad
.net/~rolfbensch/+archive/ubuntu/sane-git may be of help getting a
recent snapshot. Release of a new sane version is coming by the end of
this month, but it depends on your distro when updated packages will be
available

BR, Louis
--
sane-devel mailing list: sane-***@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/sane-devel
Unsubscribe: Send mail with subject "unsubscribe your_password"
to sane-devel-***@lists.alioth.debian.org
Jonatan Hatakeyama Zeidler
2017-05-16 16:05:32 UTC
Permalink
Raw Message
Post by Louis Lagendijk
Post by Jonatan Hatakeyama Zeidler
Hi there,
on your list of supported devices there is the Canon PIXMA MG3600
Series. Does that mean the Pixma MG3650 should be supported as well?
Because it is not. The Pixma MG3650 is a 2in1 device (printer and scanner).
What is the verson number of Sane that you are using? The MG3600 was
added in October last year, so only a recent version based on a pre-
release will work with your scanner. Maybe Rolf's PPA https://launchpad
.net/~rolfbensch/+archive/ubuntu/sane-git may be of help getting a
recent snapshot. Release of a new sane version is coming by the end of
this month, but it depends on your distro when updated packages will be
available
BR, Louis
With the new version from the PPA it works perfectly. Thanks a lot!

regards,
jonius
--
sane-devel mailing list: sane-***@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/sane-devel
Unsubscribe: Send mail with subject "unsubscribe your_password"
to sane-devel-***@lists.alioth.debian.org
Jonatan Hatakeyama Zeidler
2017-05-16 15:54:51 UTC
Permalink
Raw Message
Post by Louis Lagendijk
Post by Jonatan Hatakeyama Zeidler
Hi there,
on your list of supported devices there is the Canon PIXMA MG3600
Series. Does that mean the Pixma MG3650 should be supported as well?
Because it is not. The Pixma MG3650 is a 2in1 device (printer and scanner).
What is the verson number of Sane that you are using? The MG3600 was
added in October last year, so only a recent version based on a pre-
release will work with your scanner. Maybe Rolf's PPA https://launchpad
.net/~rolfbensch/+archive/ubuntu/sane-git may be of help getting a
recent snapshot. Release of a new sane version is coming by the end of
this month, but it depends on your distro when updated packages will be
available
BR, Louis
With the new version from the PPA it works perfectly. Thanks a lot!

regards,
jonius
--
sane-devel mailing list: sane-***@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/sane-devel
Unsubscribe: Send mail with subject "unsubscribe your_password"
to sane-devel-***@lists.alioth.debian.org
Loading...